#ifndef KEY_USER_H__
#define KEY_USER_H__
#include "common.h"
#include "Key.h"

typedef struct 
{
    uint16_t  Back_Time_Left;
    uint16_t  Back_Time_Right;
    uint8_t   Back_Time_Right_Flag;
    uint8_t   Back_Time_Left_Flag;

}_Menu_Infor;

extern void Key_KL30_Init_EXample(void);
extern void Key_Wakeup_Init_EXample(void);
void KEY_RIGHT_EVENT_NONE_Service(void);
void KEY_LEFT_EVENT_NONE_Service(void);	
void Key_Operation_Right(Key_Event_en_t enKeyEvent);
void Key_Operation_Left(Key_Event_en_t enKeyEvent);
Key_Status_en_t Key_Status_Read_Left(void);
Key_Status_en_t Key_Status_Read_Right(void);
void Key_Clear_Time(void);
#endif
